## gnome-control-center 45.0

=== debian/changelog ===
gnome-control-center (1:45.0-1ubuntu3.1) mantic-security; urgency=medium

  * SECURITY UPDATE: SSH remote access status not displayed correctly
    (LP: #2039577)
    - d/p/u/CVE-2023-5616.patch: Check the status of both the sshd service and
      socket since either could be in use. Also when enabling remote access,
      enable this via the socket rather than the service.
    - debian/rules: set SSHD_SOCKET=ssh.socket via CPPFLAGS in debian/rules.
    - CVE-2023-5616

 -- Alex Murray <alex.murray@canonical.com>  Fri, 08 Dec 2023 18:43:18 +1030

gnome-control-center (1:45.0-1ubuntu3) mantic; urgency=medium

  * d/p/u/Disable-non-working-camera-microphones-panels.patch:
    - fix the patch to not disable the entire privacy->devices section
      and restore access to the thunderbolt and security panels (lp: #2038907)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Oct 2023 11:50:37 +0200

gnome-control-center (1:45.0-1ubuntu2) mantic; urgency=medium

  * debian/patches/gitlab-fix-vpn.patch:
    - cherry pick an upstream fix for a recent regression in the VPN
      configuration (lp: #2037011)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Oct 2023 12:01:57 +0200

gnome-control-center (1:45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2034579). Remaining changes:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control.in:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome & whoopsie-preferences
      - Depend on libgtk-4-media-gstreamer for Mouse & Touchpad art
        (LP: #2011849)
      - Don't depend on desktop-base
      - Recommend ibus
      - Recommend system-config-printer
      - Suggest instead of recommend gnome-user-share & realmd
      - Don't recommend malcontent-gui or system-config-printer-common
      - Don't recommend libnss-myhostname since we use systemd-resolved
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    * debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    * debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel. (LP: #1704002)
    + debian/rules: Enable whoospie integration
    + Add patches:
      - keyboard-For-xkb-options-have-Layout-default-toggle-and-N.patch
      - keyboard-Avoid-modifying-xkb-options-when-user-changes-n.patch
      - u/keyboard-Add-launch-terminal-shortcut.patch
      - u/sound-Allow-volume-to-be-set-above-100.patch
      - u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch
      - u/background-Allow-configuring-the-ubuntu-accent-color.patch
      - u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
      - u/multitasking-panel-Sync-workspace-isolation-setting-on-ti.patch
      - u/Modify-Mulitasking-assets-for-accent-colors.patch
      - u/lock-Add-Lock-Screen-on-Suspend-option.patch
      - u/region-Add-Language-Selector-button.patch
      - u/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
      - u/notifications-Handle-.desktop-files-that-got-renamed.patch
      - u/shell-Change-the-default-height-so-all-category-are-on-sc.patch
      - u/connectivity-add-network-connectivity-checking-toggle.patch
      - u/diagnostics-Add-Whoopsie-support.patch
      - u/online-accounts-Hide-window-after-adding-an-online-accoun.patch
      - u/display-Support-UI-scaled-logical-monitor-mode.patch
      - u/Disable-non-working-camera-microphones-panels.patch
      - u/info-overview-Show-updates-in-software-propeties-instead-.patch
      - u/sound-Add-a-button-to-select-the-default-theme.patch
      - u/applications-Launch-snap-store-if-it-is-installed.patch
      - u/display-Allow-fractional-scaling-to-be-enabled.patch
      - u/mouse-Add-animations-following-the-accent-colors.patch
      - panels-mouse-Do-not-bind-sensitivity-to-touch-pad-setting.patch
  * Fix missing headerbar in Ubuntu Desktop page (LP: #2033658)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 14:23:05 -0400

gnome-control-center (1:45.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on tecla

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 16:19:50 -0400

gnome-control-center (1:45~rc-2) unstable; urgency=medium

  * Drop patch reverting use of Tecla, the new GTK4 keyboard layout viewer
  * Depend on tecla instead of gkbd-capplet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 11:41:09 -0400

gnome-control-center (1:45~rc-1ubuntu2) mantic; urgency=medium

  * debian/control.in:
    - restore recommends on system-config-printer-common, it is needed
      as a backend for the printing panel (lp: #2033059)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 31 Aug 2023 12:45:01 +0200

gnome-control-center (1:45~rc-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control.in:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome, system-config-printer &
        whoopsie-preferences
      - Depend on libgtk-4-media-gstreamer for Mouse & Touchpad art
        (LP: #2011849)
      - Don't depend on desktop-base
      - Recommend ibus
      - Suggest instead of recommend gnome-user-share & realmd
      - Don't recommend malcontent-gui or system-config-printer-common
      - Don't recommend libnss-myhostname since we use systemd-resolved
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-control-center
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome (>= 0.22.2),
               libaccountsservice-dev (>= 0.6.39),
               desktop-file-utils,
               gnome-settings-daemon-dev (>= 41),
               gsettings-desktop-schemas-dev (>= 42~),
               gtk-doc-tools,
               libadwaita-1-dev (>= 1.4~beta),
               libcolord-dev (>= 0.1.34),
               libcolord-gtk4-dev (>= 0.1.24),
               libcups2-dev,
               libgcr-3-dev [linux-any],
               libgdk-pixbuf-2.0-dev (>= 2.23.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.75.0),
               libgnome-desktop-4-dev,
               libgnome-bg-4-dev,
               libgnome-rr-4-dev,
               libgnome-bluetooth-ui-3.0-dev [linux-any],
               libibus-1.0-dev (>= 1.5.2),
               libgnutls28-dev,
               libgoa-1.0-dev (>= 3.45),
               libgoa-backend-1.0-dev (>= 3.45),
               libgsound-dev,
               libgtk-4-dev (>= 4.11.2),
               libgtop2-dev,
               libgudev-1.0-dev (>= 232) [linux-any],
               libhandy-1-dev (>= 1.2.0),
               libkrb5-dev,
               libnm-dev (>= 1.24.0) [linux-any],
               libnma-gtk4-dev (>= 1.10.2) [linux-any],
               libmalcontent-0-dev (>= 0.7.0) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libmm-glib-dev [linux-any],
               libpolkit-gobject-1-dev (>= 0.103),
               libpulse-dev (>= 13.0~),
               libpwquality-dev (>= 1.2.2),
               libsecret-1-dev,
               libsmbclient-dev (>= 2:3.6.12-1~),
               libsnapd-glib-dev (>= 1.63) [linux-any],
               libudisks2-dev,
               libupower-glib-dev (>= 0.99.8),
               libwacom-dev (>= 0.7) [linux-any],
               libwhoopsie-preferences-dev,
               libxi-dev (>= 2:1.2),
               libx11-dev (>= 2:1.8),
               libxft-dev (>= 2.1.2),
               libxklavier-dev (>= 5.1),
               libxml2-dev,
               libxml2-utils,
               locales,
               meson (>= 0.57.0),
               polkitd,
               shared-mime-info,
               tecla,
               tzdata <!nocheck>,
               xvfb,
               python3-dbusmock,
Standards-Version: 4.6.2
Rules-Requires-Root: no
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/master

Package: gnome-control-center
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         accountsservice,
         apg,
         colord (>= 0.1.34),
         desktop-file-utils,
         gnome-control-center-data (<< ${gnome:NextVersion}),
         gnome-control-center-data (>= ${source:Version}),
         gnome-desktop3-data,
         gnome-settings-daemon (>= 41),
         gsettings-desktop-schemas (>= 42~),
         language-selector-gnome (>= 0.179~),
         libgtk-4-media-gstreamer,
         whoopsie-preferences,
         tecla (>= 45~rc),
         webp-pixbuf-loader
Recommends: cups-pk-helper,
            fwupd [linux-any],
            gnome-bluetooth-sendto,
            gnome-online-accounts (>= 3.25.3),
            gnome-remote-desktop (>= 42),
            gnome-user-docs,
            ibus,
            iso-codes,
            libcanberra-pulse,
            polkitd,
            power-profiles-daemon,
            rygel | rygel-tracker,
            network-manager-gnome (>= 0.9.8),
            cracklib-runtime,
            gnome-control-center-faces,
            libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
            system-config-printer-common,
Suggests: gnome-software | gnome-packagekit,
          gnome-user-share,
          gstreamer1.0-pulseaudio,
          pkexec,
          realmd,
          x11-xserver-utils
Breaks: gnome-remote-desktop (<< 42),
        gnome-shell (<< 42)
Description: utilities to configure the GNOME desktop
 This package contains configuration applets for the GNOME desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop theme and background, user
 interface properties, screen resolution, and other GNOME parameters.
 .
 It also contains a front end to these applets, which can also be
 accessed with the GNOME panel or the Nautilus file manager.

Package: gnome-control-center-faces
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: unity-control-center-faces
Replaces: unity-control-center-faces
Provides: unity-control-center-faces
Description: utilities to configure the GNOME desktop - faces images
 This package contains images that can be used for user profile's icon

Package: gnome-control-center-dev
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
         gnome-control-center-data
Description: utilities to configure the GNOME desktop
 This package contains the file required to get the keydirs location

Package: gnome-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: gnome-control-center (<< 1:3.7.92-2~)
Replaces: gnome-control-center (<< 1:3.7.92-2~)
Description: configuration applets for GNOME - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the gnome-control-center package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\" -DSSHD_SOCKET=\"ssh.socket\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# Not in Ubuntu main yet https://launchpad.net/bugs/1892456
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
DISTRIBUTOR_LOGO := /usr/share/pixmaps/ubuntu-logo-text.png
DISTRIBUTOR_LOGO_DARK := /usr/share/pixmaps/ubuntu-logo-text-dark.png
MALCONTENT := -Dmalcontent=false
else
DISTRIBUTOR_LOGO := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
DISTRIBUTOR_LOGO_DARK := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
MALCONTENT := -Dmalcontent=true
else
MALCONTENT := -Dmalcontent=false
endif
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
SNAP := -Dsnap=true
else
SNAP := -Dsnap=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dprivileged_group=sudo \
		-Dwhoopsie=true \
		-Ddocumentation=true \
		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO_DARK) \
		$(MALCONTENT) \
		$(SNAP)

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=gnome-control-center-2.0

## gnome-control-center 46~alpha

=== debian/changelog ===
gnome-control-center (1:46~alpha-2ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome & whoopsie-preferences
      - Depend on libgtk-4-media-gstreamer for Mouse & Touchpad art
        (LP: #2011849)
      - Don't depend on desktop-base
      - Recommend ibus
      - Don't recommend malcontent-gui
      - Don't recommend libnss-myhostname since we use systemd-resolved
      - Suggest instead of recommend gnome-user-share & realmd
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    * debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    * debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel. (LP: #1704002)
    + debian/rules: Enable whoospie integration
    + debian/rules: set SSHD_SOCKET=ssh.socket via CPPFLAGS in debian/rules.
    + Add patches:
      - keyboard-For-xkb-options-have-Layout-default-toggle-and-N.patch
      - keyboard-Avoid-modifying-xkb-options-when-user-changes-n.patch
      - u/keyboard-Add-launch-terminal-shortcut.patch
      - u/sound-Allow-volume-to-be-set-above-100.patch
      - u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch
      - u/background-Allow-configuring-the-ubuntu-accent-color.patch
      - u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
      - u/multitasking-panel-Sync-workspace-isolation-setting-on-ti.patch
      - u/Modify-Mulitasking-assets-for-accent-colors.patch
      - u/lock-Add-Lock-Screen-on-Suspend-option.patch
      - u/region-Add-Language-Selector-button.patch
      - u/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
      - u/shell-Change-the-default-height-so-all-category-are-on-sc.patch
      - u/connectivity-add-network-connectivity-checking-toggle.patch
      - u/diagnostics-Add-Whoopsie-support.patch
      - u/online-accounts-Hide-window-after-adding-an-online-accoun.patch
      - u/display-Support-UI-scaled-logical-monitor-mode.patch
      - u/Disable-non-working-camera-microphones-panels.patch
      - u/info-overview-Show-updates-in-software-propeties-instead-.patch
      - u/sound-Add-a-button-to-select-the-default-theme.patch
      - u/applications-Launch-snap-store-if-it-is-installed.patch
      - u/display-Allow-fractional-scaling-to-be-enabled.patch
      - u/mouse-Add-animations-following-the-accent-colors.patch
      - panels-mouse-Do-not-bind-sensitivity-to-touch-pad-setting.patch
      - CVE-2023-5616.patch: Use sshd socket
  * Refresh patches
  * Drop renamed .desktop notifications patch: the compatibility .desktop files
    were dropped long ago
  * Add patch to fix closing Users language dialog
  * Update Ubuntu patches to adjust capitalization and mnemonics
  * Update snap-store patch to launch snap-store with higher priority
    than gnome-software
  * Add temporary Build-Depends: libevdev to work around #1060687

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jan 2024 16:33:03 -0500

gnome-control-center (1:46~alpha-2) unstable; urgency=medium

  * Move gnome-remote-desktop from Recommends to Depends (Closes: #1060465)
  * Update architectures where malcontent is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jan 2024 18:02:28 -0500

gnome-control-center (1:46~alpha-1) unstable; urgency=medium

  * New upstream release
    - Allow using Left Ctrl as Compose Key (LP: #1973226)
  * debian/control: Bump minimum glib to 2.76.6
  * Build-Depend on libsoup3 and json-glib instead of snapd-glib
  * Stop using debian/control.in and dh_gnome_clean
  * Refresh patches
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jan 2024 15:30:27 -0500

gnome-control-center (1:45.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Dec 2023 16:46:52 -0500

gnome-control-center (1:45.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Oct 2023 14:26:44 -0400

gnome-control-center (1:45.0-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/patches/gitlab-fix-vpn.patch:
    - cherry pick an upstream fix for a recent regression in the VPN
      configuration (LP: #2037011) (Closes: #1053566)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Oct 2023 09:13:49 -0400

gnome-control-center (1:45.0-1ubuntu4) noble; urgency=medium

  * SECURITY UPDATE: SSH remote access status not displayed correctly
    (LP: #2039577)
    - d/p/u/CVE-2023-5616.patch: Check the status of both the sshd service and
      socket since either could be in use. Also when enabling remote access,
      enable this via the socket rather than the service.
    - debian/rules: set SSHD_SOCKET=ssh.socket via CPPFLAGS in debian/rules.
    - CVE-2023-5616

 -- Alex Murray <alex.murray@canonical.com>  Mon, 20 Nov 2023 14:22:06 +1030

=== debian/control ===
Source: gnome-control-center
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome (>= 0.22.2),
               gnome-settings-daemon-dev (>= 41),
               gsettings-desktop-schemas-dev (>= 42~),
               gtk-doc-tools,
               libaccountsservice-dev (>= 0.6.39),
               libadwaita-1-dev (>= 1.4~beta),
               libcolord-dev (>= 0.1.34),
               libcolord-gtk4-dev (>= 0.1.24),
               libcups2-dev,
               libevdev-dev,
               libgcr-3-dev [linux-any],
               libgdk-pixbuf-2.0-dev (>= 2.23.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.76.6),
               libgnome-bg-4-dev,
               libgnome-bluetooth-ui-3.0-dev [linux-any],
               libgnome-desktop-4-dev,
               libgnome-rr-4-dev,
               libgnutls28-dev,
               libgoa-1.0-dev (>= 3.45),
               libgoa-backend-1.0-dev (>= 3.45),
               libgsound-dev,
               libgtk-4-dev (>= 4.11.2),
               libgtop2-dev,
               libgudev-1.0-dev (>= 232) [linux-any],
               libhandy-1-dev (>= 1.2.0),
               libibus-1.0-dev (>= 1.5.2),
               libjson-glib-dev,
               libkrb5-dev,
               libmalcontent-0-dev (>= 0.7.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
               libmm-glib-dev [linux-any],
               libnm-dev (>= 1.24.0) [linux-any],
               libnma-gtk4-dev (>= 1.10.2) [linux-any],
               libpolkit-gobject-1-dev (>= 0.103),
               libpulse-dev (>= 13.0~),
               libpwquality-dev (>= 1.2.2),
               libsecret-1-dev,
               libsmbclient-dev (>= 2:3.6.12-1~),
               libsoup-3.0-dev,
               libudisks2-dev,
               libupower-glib-dev (>= 0.99.8),
               libwacom-dev (>= 0.7) [linux-any],
               libwhoopsie-preferences-dev,
               libx11-dev (>= 2:1.8),
               libxft-dev (>= 2.1.2),
               libxi-dev (>= 2:1.2),
               libxklavier-dev (>= 5.1),
               libxml2-dev,
               libxml2-utils,
               locales,
               meson (>= 0.57.0),
               polkitd,
               python3-dbusmock,
               shared-mime-info,
               tecla,
               tzdata <!nocheck>,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/master

Package: gnome-control-center
Architecture: any
Depends: accountsservice,
         apg,
         colord (>= 0.1.34),
         desktop-file-utils,
         gnome-control-center-data (<< ${gnome:NextVersion}),
         gnome-control-center-data (>= ${source:Version}),
         gnome-desktop3-data,
         gnome-remote-desktop (>= 44),
         gnome-settings-daemon (>= 41),
         gsettings-desktop-schemas (>= 42~),
         language-selector-gnome (>= 0.179~),
         libgtk-4-media-gstreamer,
         whoopsie-preferences,
         tecla (>= 45~rc),
         webp-pixbuf-loader,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cracklib-runtime,
            cups-pk-helper,
            fwupd [linux-any],
            gnome-bluetooth-sendto,
            gnome-control-center-faces,
            gnome-online-accounts (>= 3.25.3),
            gnome-user-docs,
            ibus,
            iso-codes,
            libcanberra-pulse,
            libnss-myhostname,
            libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
            network-manager-gnome (>= 0.9.8),
            polkitd,
            power-profiles-daemon,
            rygel | rygel-tracker,
            system-config-printer-common (>= 1.4)
Suggests: gnome-software | gnome-packagekit,
          gnome-user-share,
          gstreamer1.0-pulseaudio,
          pkexec,
          realmd,
          x11-xserver-utils
Breaks: gnome-remote-desktop (<< 42),
        gnome-shell (<< 42)
Description: utilities to configure the GNOME desktop
 This package contains configuration applets for the GNOME desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop theme and background, user
 interface properties, screen resolution, and other GNOME parameters.
 .
 It also contains a front end to these applets, which can also be
 accessed with the GNOME panel or the Nautilus file manager.

Package: gnome-control-center-faces
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: unity-control-center-faces
Replaces: unity-control-center-faces
Provides: unity-control-center-faces
Description: utilities to configure the GNOME desktop - faces images
 This package contains images that can be used for user profile's icon

Package: gnome-control-center-dev
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: gnome-control-center-data,
         ${misc:Depends}
Description: utilities to configure the GNOME desktop
 This package contains the file required to get the keydirs location

Package: gnome-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: gnome-control-center (<< 1:3.7.92-2~)
Replaces: gnome-control-center (<< 1:3.7.92-2~)
Description: configuration applets for GNOME - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the gnome-control-center package.

=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,11 @@
 else
 DISTRIBUTOR_LOGO := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
 DISTRIBUTOR_LOGO_DARK := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32))
 MALCONTENT := -Dmalcontent=true
 else
 MALCONTENT := -Dmalcontent=false
 endif
-endif
-
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-SNAP := -Dsnap=true
-else
-SNAP := -Dsnap=false
 endif
 
 %:
@@ -35,9 +29,10 @@
 		-Ddocumentation=true \
 		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
 		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO_DARK) \
-		$(MALCONTENT) \
-		$(SNAP)
+		$(MALCONTENT)
 
 # Ubuntu-specific
 override_dh_translations:
 	dh_translations --domain=gnome-control-center-2.0
+
+override_dh_gnome_clean:

## gnome-control-center 46.0.1

=== meson_options.txt ===
option('deprecated-declarations', type: 'feature', value: 'disabled', description: 'build with deprecated declaration warnings')
option('documentation', type: 'boolean', value: false, description: 'build documentation')
option('ibus', type: 'boolean', value: true, description: 'build with IBus support')
option('privileged_group', type: 'string', value: 'wheel', description: 'name of group that has elevated permissions')
option('snap', type: 'boolean', value: true, description: 'build with Snap support')
option('tests', type: 'boolean', value: true, description: 'build tests')
option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
option('profile', type: 'combo', choices: ['default','development'], value: 'default')
option('malcontent', type: 'boolean', value: false, description: 'build with malcontent support')
option('distributor_logo', type: 'string', description: 'absolute path to distributor logo for the About panel')
option('dark_mode_distributor_logo', type: 'string', description: 'absolute path to distributor logo dark mode variant')

=== debian/changelog ===
gnome-control-center (1:46.0.1-1ubuntu7) noble; urgency=medium

  * Re-enable Location Services for now after more conversation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 12:54:43 -0400

gnome-control-center (1:46.0.1-1ubuntu6) noble; urgency=medium

  * Add Depends: heif-gdk-pixbuf, heif-thumbnailer (LP: #2061090)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 09:02:06 -0400

gnome-control-center (1:46.0.1-1ubuntu5) noble; urgency=medium

  * Cherry-pick 2 patches to disable Location Services because Mozilla has
    stopped providing this service and there is not a suitable replacement
    (LP: #2062178)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 08:41:48 -0400

gnome-control-center (1:46.0.1-1ubuntu4) noble; urgency=medium

  * d/p/ubuntu/mouse-Add-animations-following-the-accent-colors.patch:
    Regenerate the ubuntu-accented assets using the same source blender file
    as in GNOME and include the missing animations (LP: #2062078)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 18 Apr 2024 00:50:26 +0200

gnome-control-center (1:46.0.1-1ubuntu3) noble; urgency=medium

  [ Alex Murray ]
  * debian/patches/ubuntu/CVE-2023-5616.patch:
    - update the patch for the new serie and re-enable it

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2024 16:47:10 +0200

gnome-control-center (1:46.0.1-1ubuntu2) noble; urgency=medium

  * Cherry-pick proposed patch to fix Remote Desktop Generate Passwords
  * Cherry-pick patch to support stable-ssid mode for NetworkManager 1.46
  * Add Build-Depends: network-manager (>= 1.46.0) for that change

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Apr 2024 19:18:22 -0400

gnome-control-center (1:46.0.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome & whoopsie-preferences
      - Depend on libgtk-4-media-gstreamer for Mouse & Touchpad art
        (LP: #2011849)
      - Don't depend on desktop-base
      - Recommend ibus
      - Don't recommend malcontent-gui
      - Don't recommend libnss-myhostname since we use systemd-resolved
      - Suggest instead of recommend gnome-user-share & realmd
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    * debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    * debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel. (LP: #1704002)
    + debian/rules: Enable whoospie integration
    + debian/rules: set SSHD_SOCKET=ssh.socket via CPPFLAGS in debian/rules.
    + Add patches:
      - keyboard-For-xkb-options-have-Layout-default-toggle-and-N.patch
      - keyboard-Avoid-modifying-xkb-options-when-user-changes-n.patch
      - u/keyboard-Add-launch-terminal-shortcut.patch
      - u/sound-Allow-volume-to-be-set-above-100.patch
      - u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch
      - u/background-Allow-configuring-the-ubuntu-accent-color.patch
      - u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
      - u/multitasking-panel-Sync-workspace-isolation-setting-on-ti.patch
      - u/Modify-Mulitasking-assets-for-accent-colors.patch
      - u/lock-Add-Lock-Screen-on-Suspend-option.patch
      - u/region-Add-Language-Selector-button.patch
      - u/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
      - u/shell-Change-the-default-height-so-all-category-are-on-sc.patch
      - u/connectivity-add-network-connectivity-checking-toggle.patch
      - u/diagnostics-Add-Whoopsie-support.patch
      - u/online-accounts-Hide-window-after-adding-an-online-accoun.patch
      - u/online-accounts-sort.patch
      - u/display-Support-UI-scaled-logical-monitor-mode.patch
      - u/Disable-non-working-camera-microphones-panels.patch
      - u/info-overview-Show-updates-in-software-propeties-instead-.patch
      - u/sound-Add-a-button-to-select-the-default-theme.patch
      - u/applications-Launch-snap-store-if-it-is-installed.patch
      - u/display-Allow-fractional-scaling-to-be-enabled.patch
      - u/mouse-Add-animations-following-the-accent-colors.patch
      - panels-mouse-Do-not-bind-sensitivity-to-touch-pad-setting.patch
      - CVE-2023-5616.patch: Use sshd socket
      - Temporarily disable CVE-2023-5616 (sshd socket) patch until it can be
        rewritten
  * Drop Revert Remote Login patch: not needed for Ubuntu
  * Drop periods from end of tiling option descriptions

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 10:25:20 -0400

gnome-control-center (1:46.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gnome-online-accounts
  * Drop 6 patches applied in new release
  * Add patch to revert adding Remote Login page since it requires
    gnome-remote-desktop 46

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 09:30:57 -0400

gnome-control-center (1:46.0-0ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:07:19 +0000

gnome-control-center (1:46.0-0ubuntu5) noble; urgency=medium

  * d/p/u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch:
    - fix the description and the layout of the tiling options,
      thanks Tim Holmes-Mitra

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Mar 2024 12:37:45 +0100

gnome-control-center (1:46.0-0ubuntu4) noble; urgency=medium

  * Add patch to sort Nextcloud below Microsoft in Online Accounts

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 17:46:04 -0400



=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-Dlocation-services=enabled \
 		-Dprivileged_group=sudo \
 		-Dwhoopsie=true \
 		-Ddocumentation=true \

## gnome-control-center 46.3

=== debian/changelog ===
gnome-control-center (1:46.3-0ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2064762). Remaining changes:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome & whoopsie-preferences
      - Depend on libgtk-4-media-gstreamer for Mouse & Touchpad art
        (LP: #2011849)
      - Don't depend on desktop-base
      - Recommend ibus
      - Don't recommend malcontent-gui
      - Don't recommend libnss-myhostname since we use systemd-resolved
      - Suggest instead of recommend gnome-user-share & realmd
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    * debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    * debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel. (LP: #1704002)
    + debian/rules: Enable whoospie integration
    + debian/rules: set SSHD_SOCKET=ssh.socket via CPPFLAGS in debian/rules.
    + debian/rules: Enable malcontent support
    + Add patches:
      - keyboard-For-xkb-options-have-Layout-default-toggle-and-N.patch
      - keyboard-Avoid-modifying-xkb-options-when-user-changes-n.patch
      - u/keyboard-Add-launch-terminal-shortcut.patch
      - u/sound-Allow-volume-to-be-set-above-100.patch
      - u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch
      - u/background-Allow-configuring-the-ubuntu-accent-color.patch
      - u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
      - u/multitasking-panel-Sync-workspace-isolation-setting-on-ti.patch
      - u/Modify-Mulitasking-assets-for-accent-colors.patch
      - u/lock-Add-Lock-Screen-on-Suspend-option.patch
      - u/region-Add-Language-Selector-button.patch
      - u/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
      - u/shell-Change-the-default-height-so-all-category-are-on-sc.patch
      - u/connectivity-add-network-connectivity-checking-toggle.patch
      - u/diagnostics-Add-Whoopsie-support.patch
      - u/online-accounts-Hide-window-after-adding-an-online-accoun.patch
      - u/online-accounts-sort.patch
      - u/display-Support-UI-scaled-logical-monitor-mode.patch
      - u/Disable-non-working-camera-microphones-panels.patch
      - u/info-overview-Show-updates-in-software-propeties-instead-.patch
      - u/sound-Add-a-button-to-select-the-default-theme.patch
      - u/applications-Launch-snap-store-if-it-is-installed.patch
      - u/display-Allow-fractional-scaling-to-be-enabled.patch
      - u/mouse-Add-animations-following-the-accent-colors.patch
      - panels-mouse-Do-not-bind-sensitivity-to-touch-pad-setting.patch
      - CVE-2023-5616.patch: Use sshd socket
      - Temporarily disable CVE-2023-5616 (sshd socket) patch until it can be
        rewritten
  * New upstream release
  * Suggest instead of depend on libjxl-gdk-pixbuf
  * Refresh patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 16:14:59 -0400

gnome-control-center (1:46.1-2) unstable; urgency=medium

  * Add Depends: libjxl-gdk-pixbuf: The default GNOME 46 wallpaper uses JPEG XL

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Jun 2024 09:56:57 -0400

gnome-control-center (1:46.1-1ubuntu3) oracular; urgency=medium

  * debian/rules: explicitly enable malcontent for Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 May 2024 16:11:05 +0200

gnome-control-center (1:46.1-1ubuntu2) oracular; urgency=medium

  * debian/rules:
    - build with malcontent now that the MIR got approved

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 May 2024 13:32:50 +0200

gnome-control-center (1:46.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2064762). Remaining changes:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome & whoopsie-preferences
      - Depend on libgtk-4-media-gstreamer for Mouse & Touchpad art
        (LP: #2011849)
      - Don't depend on desktop-base
      - Recommend ibus
      - Don't recommend malcontent-gui
      - Don't recommend libnss-myhostname since we use systemd-resolved
      - Suggest instead of recommend gnome-user-share & realmd
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    * debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    * debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel. (LP: #1704002)
    + debian/rules: Enable whoospie integration
    + debian/rules: set SSHD_SOCKET=ssh.socket via CPPFLAGS in debian/rules.
    + Add patches:
      - keyboard-For-xkb-options-have-Layout-default-toggle-and-N.patch
      - keyboard-Avoid-modifying-xkb-options-when-user-changes-n.patch
      - u/keyboard-Add-launch-terminal-shortcut.patch
      - u/sound-Allow-volume-to-be-set-above-100.patch
      - u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch
      - u/background-Allow-configuring-the-ubuntu-accent-color.patch
      - u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
      - u/multitasking-panel-Sync-workspace-isolation-setting-on-ti.patch
      - u/Modify-Mulitasking-assets-for-accent-colors.patch
      - u/lock-Add-Lock-Screen-on-Suspend-option.patch


=== debian/control ===
--- 
+++ 
@@ -11,15 +11,14 @@
                desktop-file-utils,
                dh-sequence-gnome (>= 0.22.2),
                gnome-settings-daemon-dev (>= 41),
-               gsettings-desktop-schemas-dev (>= 42~),
+               gsettings-desktop-schemas-dev (>= 46~beta),
                gtk-doc-tools,
                libaccountsservice-dev (>= 0.6.39),
                libadwaita-1-dev (>= 1.4~beta),
                libcolord-dev (>= 0.1.34),
                libcolord-gtk4-dev (>= 0.1.24),
                libcups2-dev,
-               libevdev-dev,
-               libgcr-3-dev [linux-any],
+               libgcr-4-dev [linux-any],
                libgdk-pixbuf-2.0-dev (>= 2.23.0),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.76.6),
@@ -28,8 +27,8 @@
                libgnome-desktop-4-dev,
                libgnome-rr-4-dev,
                libgnutls28-dev,
-               libgoa-1.0-dev (>= 3.45),
-               libgoa-backend-1.0-dev (>= 3.45),
+               libgoa-1.0-dev (>= 3.49.1),
+               libgoa-backend-1.0-dev (>= 3.49.1),
                libgsound-dev,
                libgtk-4-dev (>= 4.11.2),
                libgtop2-dev,
@@ -60,6 +59,7 @@
                libxml2-utils,
                locales,
                meson (>= 0.57.0),
+               network-manager-dev (>= 1.46.0) [linux-any],
                polkitd,
                python3-dbusmock,
                shared-mime-info,
@@ -82,9 +82,10 @@
          gnome-control-center-data (<< ${gnome:NextVersion}),
          gnome-control-center-data (>= ${source:Version}),
          gnome-desktop3-data,
-         gnome-remote-desktop (>= 44),
          gnome-settings-daemon (>= 41),
-         gsettings-desktop-schemas (>= 42~),
+         gsettings-desktop-schemas (>= 46~beta),
+         heif-gdk-pixbuf,
+         heif-thumbnailer,
          language-selector-gnome (>= 0.179~),
          libgtk-4-media-gstreamer,
          whoopsie-preferences,
@@ -97,12 +98,12 @@
             fwupd [linux-any],
             gnome-bluetooth-sendto,
             gnome-control-center-faces,
-            gnome-online-accounts (>= 3.25.3),
+            gnome-online-accounts (>= 3.49.1),
+            gnome-remote-desktop (>= 44),
             gnome-user-docs,
             ibus,
             iso-codes,
             libcanberra-pulse,
-            libnss-myhostname,
             libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
             network-manager-gnome (>= 0.9.8),
             polkitd,
@@ -112,7 +113,7 @@
 Suggests: gnome-software | gnome-packagekit,
           gnome-user-share,
           gstreamer1.0-pulseaudio,
-          pkexec,
+          libjxl-gdk-pixbuf,
           realmd,
           x11-xserver-utils
 Breaks: gnome-remote-desktop (<< 42),
@@ -154,4 +155,3 @@
 Description: configuration applets for GNOME - data files
  This package contains data files (icons, pixmaps, locales files) needed by
  the configuration applets in the gnome-control-center package.
-

## gnome-control-center 46.4

=== debian/changelog ===
gnome-control-center (1:46.4-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream version (LP: #2080611).
    - fixes issues with fingerprint enrollment (lp: #2076164)
  * d/p/u/list-apps-even-without-malcontent.patch: Allow apps page to be
    populated even if Malcontent is not present at run-time. (lp: #2072772)

  [ Alessandro Astone ]
  * debian/patches: Better handle dbus callback from WhoopsiePreferences
    (LP: #2065294)

  [ Bin Li ]
  * d/p/datetime-fix-disabling-of-auto-timezone-during-pane.patch:
    - fix disabling of auto timezone during panel load (lp: #2073430)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 16 Sep 2024 16:29:15 +0200

gnome-control-center (1:46.3-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream version (lp: #2064762)
  * Enable the malcontent option not that the MIR is approved
    (lp: #2072772)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Jul 2024 16:11:31 +0200

## gnome-control-center 46.5

=== debian/changelog ===
gnome-control-center (1:46.5-0ubuntu0.24.04.1) noble; urgency=medium

  [ Alessandro Astone ]
  * New upstream release (LP: #2087565).
    - Fix showing custom idle-delay values in the Power panel (LP: #2084232).
    - Avoid the Privacy panel resetting idle-delay to zero (LP: #2083869).
  * Rebase patches
  * Drop patches applied upstream:
    - d/p/datetime-fix-disabling-of-auto-timezone-during-pane.patch
  * d/p/ubuntu/mouse-Add-animations-following-the-accent-colors.patch:
    - Fix unregistering resources (LP: #2085610)

  [ Dirk Su ]
  * d/p/wifi-Add-6GHz-to-Supported-Frequencies.patch:
    - Add 6GHz to "Supported Frequencies" in wireless connection detail
      (lp: #2084405)

  [ ChunAn Wu ]
  * Can't set join mode from mirror mode (LP: #2084407)
    d/p/display-snap-Monitors-after-updating-prefer-mode.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 21 Nov 2024 13:11:07 +0100

## gnome-control-center 46.7

=== debian/changelog ===
gnome-control-center (1:46.7-0ubuntu0.24.04.2) noble; urgency=medium

  [ Bin Li ]
  * d/p/power-Add-increase-power-consuption-notice.patch:
    Add increase power consuption description for automatic suspend
    (LP: #2102343)
  * d/p/power-Set-suspend-notice-to-visible-by-default.patch:
    Set suspend notice to visible by default (LP: #2102343)

  [ Yao Wei ]
  * d/p/about-fix-multiple-gpu-name-with-nvidia-gpu-on-desktop-pc.patch:
    - Fix multiple GPU name display with NVIDIA GPU on Desktop PC
      (LP: #2037076)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 27 May 2025 13:18:00 +0200

gnome-control-center (1:46.7-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2095618).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 29 Jan 2025 11:50:35 +0100

=== debian/control ===
--- 
+++ 
@@ -113,7 +113,6 @@
 Suggests: gnome-software | gnome-packagekit,
           gnome-user-share,
           gstreamer1.0-pulseaudio,
-          libjxl-gdk-pixbuf,
           realmd,
           x11-xserver-utils
 Breaks: gnome-remote-desktop (<< 42),

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,10 @@
 export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\" -DSSHD_SOCKET=\"ssh.socket\"
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
-# Not in Ubuntu main yet https://launchpad.net/bugs/1892456
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
 DISTRIBUTOR_LOGO := /usr/share/pixmaps/ubuntu-logo-text.png
 DISTRIBUTOR_LOGO_DARK := /usr/share/pixmaps/ubuntu-logo-text-dark.png
-MALCONTENT := -Dmalcontent=false
+MALCONTENT := -Dmalcontent=true
 else
 DISTRIBUTOR_LOGO := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
 DISTRIBUTOR_LOGO_DARK := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg

## gnome-control-center 46.7-0ubuntu0.24.04.2trisquel2

=== debian/changelog ===
gnome-control-center (1:46.7-0ubuntu0.24.04.2trisquel2) ecne; urgency=medium

  * Rebrand for trisquel and remove whoopsie dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Jun 2025 06:45:32 +0000
